import HttpKit from '@/utils/http-kit'

export default {
  /**
   * 功能描述：查询[角色]分页
   */
  page(form) {
    return HttpKit.post(`/platform/role/page`, form).then(
      res => res.data
    )
  },
  /**
   * 功能描述：保存/更新[角色]
   */
  saveOrUpdate(form) {
    return HttpKit.post(`/platform/role/save-or-update`, form).then(
      res => res.data
    )
  },
  /**
   * 功能描述：保存/更新[菜单]权限
   */
  saveMenu(form) {
    return HttpKit.post(`/platform/role/save-menu`, form).then(
      res => res.data
    )
  },
  /**
   * 功能描述：替换[角色]删除状态
   * @param id
   */
  handleIsDel(id) {
    return HttpKit.post(`/platform/role/handle-is-del`, { id: id }).then(
      res => res.data
    )
  },
  /**
   * 功能描述：查询[菜单节点]
   */
  menuNodes(form) {
    return HttpKit.post(`/platform/role/menu-nodes`, form).then(
      res => res.data
    )
  },
  /**
   * 功能描述：查询[角色]节点
   */
  nodes() {
    return HttpKit.post(`/platform/role/nodes`).then(
      res => res.data
    )
  }

}
